> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Micro-deposits Verification

Updates an existing AccountVerificationSession object of type `micro_deposits`.

> [!NOTE]
>
> Amounts should be attempted once the AccountVerificationSession status
> is `in_progress`, indicating that the micro-deposit transactions
> have been sent.

## Path Parameters

## Body

> [!NOTE]
>
> When verifying an ACH account in the development environment,
> you can use the [Retrieve Micro-deposit Amounts](https://docs.methodfi.com/2026-03-30/reference/simulations/verification-sessions/get-microdeposit-amounts.md) simulation
> endpoint to get the `micro_deposits.amounts`.

## Returns

Returns an AccountVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_yBQQNKmjRBTqF \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "micro_deposits": {
      "amounts": [10, 34]
    }
  }'
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .verificationSessions
  .update('avf_yBQQNKmjRBTqF', {
    micro_deposits: {
      amounts: [10, 34]
    }
  });
```

```python Python theme={null}
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .verification_sessions
  .update('avf_yBQQNKmjRBTqF', {
    'micro_deposits': {
      'amounts': [10, 34]
    }
  })
```

```json theme={null}
{
  "id": "avf_yBQQNKmjRBTqF",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "verified",
  "error": null,
  "type": "micro_deposits",
  "micro_deposits": {
      "amounts": [
          10,
          34
      ]
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.